#include <iostream>

using namespace std;

int main()
{
    std::ios::sync_with_stdio(false);
    int n, m;
    cin >> n>> m;
    int druz[n];
    for(int i=0; i<n; i++)
    {
        cin>> druz[i];
    }
    int s=0;
    int a, b;
    int k;
    for(int i=0; i<m; i++)
    {
        cin >> a >> b;
        k=druz[a-1] + druz[b-1];
        if(k > 0)
            s+=k;
        else
            s-=k;
    }
    cout << s;
    return 0;
}